clang-tools 10.0.0

Namespaces | Functions
BackgroundIndexLoader.cpp File Reference
`#include "index/BackgroundIndexLoader.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "Logger.h"`
`#include "Path.h"`
`#include "index/Background.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/Support/Path.h"`
`#include <string>`
`#include <utility>`
`#include <vector>`
Include dependency graph for BackgroundIndexLoader.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::vector< LoadedShard > | clang::clangd::loadIndexShards (llvm::ArrayRef< Path > MainFiles, BackgroundIndexStorage::Factory &IndexStorageFactory, const GlobalCompilationDatabase &CDB)
| Loads all shards for the TU `MainFile` from `Storage`. More...